Subject: Re: bug#48804: 27.2; compilation emacs on macOS

From: Andrea Corallo <[email-masked]>
Date: Thu, 03 Jun 2021 08:12:41 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Niels Søndergaard <[email-masked]>
>> Date: Thu, 3 Jun 2021 08:51:06 +0200
>> Cc: Niels Søndergaard <[email-masked]>,
>>  [email-masked]
>> 
>> The configure sends a link, but I can’t find the source to compile out of that, neither can I understand, what
>> the “smoke” test is.
>
> The link shows a source of a C program whose first line says:
>
>   Smoketest example for libgccjit.so
>
>> I tried to follow the instruktions, but god lost underway….
>
> You mean, the instructions on the URL how to compile the test program?
> They are quite simple: 2 shell commands.
>
> Anyway, I've modified that error message to say this instead:
>
>   The installed libgccjit failed to compile and run a test program using
>   the libgccjit library; see config.log for the details of the failure.
>   The test program can be found here:
>   <https://gcc.gnu.org/onlinedocs/jit/intro/tutorial01.html>.

Just a small note, the smoke test we run from the configure is not
exactly the one of the link as we just compile a function returning an
integer.  Needless to say that most certainly if one works the other
will too.

  Andrea